Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class ProxyGregorianCalendar4

    java.lang.Object
      java.util.Calendar
          java.util.GregorianCalendar
              org.apache.openjpa.util.ProxyGregorianCalendar
                  org.apache.openjpa.util.ProxyGregorianCalendar4

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Calendar>, Proxy, ProxyCalendar

    public class ProxyGregorianCalendar4

extends ProxyGregorianCalendar

`ProxyGregorianCalendar` subclass that overrides the mutating `set(int, int)` method, which is final in Java 1.3 but public in Java 1.4 and higher.

Author:
  Marc Prud'hommeaux
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.GregorianCalendar
`AD, BC`

Fields inherited from class java.util.Calendar
`AM, AM_PM, APRIL, areFieldsSet, AUGUST, DATE, DAY_OF_MONTH, DAY_OF_WEEK, DAY_OF_WEEK_IN_MONTH, DAY_OF_YEAR, DECEMBER, DST_OFFSET, ERA, FEBRUARY, FIELD_COUNT, fields, FRIDAY, HOUR, HOUR_OF_DAY, isSet, isTimeSet, JANUARY, JULY, JUNE, MARCH, MAY, MILLISECOND, MINUTE, MONDAY, MONTH, NOVEMBER, OCTOBER, PM, SATURDAY, SECOND, SEPTEMBER, SUNDAY, THURSDAY, time, TUESDAY, UNDECIMBER, WEDNESDAY, WEEK_OF_MONTH, WEEK_OF_YEAR, YEAR, ZONE_OFFSET`

Constructor Summary
`ProxyGregorianCalendar4()`
`ProxyGregorianCalendar4(int year, int month, int dayOfMonth)`
`ProxyGregorianCalendar4(int year, int month, int dayOfMonth, int hourOfDay, int minute)`
`ProxyGregorianCalendar4(int year, int month, int dayOfMonth, int hourOfDay, int minute, int second)`
`ProxyGregorianCalendar4(Locale aLocale)`
`ProxyGregorianCalendar4(TimeZone zone)`
`ProxyGregorianCalendar4(TimeZone zone, Locale aLocale)`

Method Summary
`ProxyCalendar` | `newInstance(TimeZone timeZone)` Return a new instance of this calendar type.
`void` | `set(int field, int value)`

Methods inherited from class org.apache.openjpa.util.ProxyGregorianCalendar
`add, computeFields, copy, getChangeTracker, getOwner, getOwnerField, roll, roll, setFirstDayOfWeek, setLenient, setMinimalDaysInFirstWeek, setOwner, setTimeInMillis, setTimeZone, writeReplace`

Methods inherited from class java.util.GregorianCalendar
`clone, computeTime, equals, getActualMaximum, getActualMinimum, getGreatestMinimum, getGregorianChange, getLeastMaximum, getMaximum, getMinimum, getTimeZone, hashCode, isLeapYear, setGregorianChange`

Methods inherited from class java.util.Calendar
`after, before, clear, clear, compareTo, complete, get, getAvailableLocales, getFirstDayOfWeek, getInstance, getInstance, getInstance, getInstance, getMinimalDaysInFirstWeek, getTime, getTimeInMillis, internalGet, isLenient, isSet, set, set, set, setTime, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProxyGregorianCalendar4

    public ProxyGregorianCalendar4()

### ProxyGregorianCalendar4

    public ProxyGregorianCalendar4(int year,
                                   int month,
                                   int dayOfMonth)

### ProxyGregorianCalendar4

    public ProxyGregorianCalendar4(int year,
                                   int month,
                                   int dayOfMonth,
                                   int hourOfDay,
                                   int minute)

### ProxyGregorianCalendar4

    public ProxyGregorianCalendar4(int year,
                                   int month,
                                   int dayOfMonth,
                                   int hourOfDay,
                                   int minute,
                                   int second)

### ProxyGregorianCalendar4

    public ProxyGregorianCalendar4(Locale aLocale)

### ProxyGregorianCalendar4

    public ProxyGregorianCalendar4(TimeZone zone)

### ProxyGregorianCalendar4

    public ProxyGregorianCalendar4(TimeZone zone,
                                   Locale aLocale)

Method Detail

### set

    public void set(int field,
                    int value)

  Overrides:
    `set` in class `Calendar`

### newInstance

    public ProxyCalendar newInstance(TimeZone timeZone)

  Description copied from interface: `ProxyCalendar`
  Return a new instance of this calendar type.

  Specified by:
    `newInstance` in interface `ProxyCalendar`
  Overrides:
    `newInstance` in class `ProxyGregorianCalendar`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.